Class Fox::FXMenuCaption

In: | FXMenuCaption.rb
Parent: | FXWindow

The menu caption is a widget which can be used as a caption above a number of menu commands in a menu.

### Menu caption options

`MENU_AUTOGRAY`: | Automatically gray out when not updated
`MENU_AUTOHIDE`: | Automatically hide button when not updated

Methods

new

Attributes

font | [RW] | The text font [FXFont]
helpText | [RW] | Status line help text for this menu [String]
hiliteColor | [RW] | Highlight color [FXColor]
icon | [RW] | The icon for this menu [FXIcon]
selBackColor | [RW] | Selection background color [FXColor]
selTextColor | [RW] | Selection text color [FXColor]
shadowColor | [RW] | Shadow color [FXColor]
text | [RW] | The text for this menu [String]
textColor | [RW] | Text color [FXColor]

Public Class methods

new(parent, text, icon=nil, opts=0) {|theMenuCaption| ...}

Construct a new menu caption